Ticket #40509

.jnethackrc.templateのコメントを外しても使えないオプションが複数存在

Open Date: 2020-06-27 06:30 Last Update: 2020-09-18 01:25

Reporter:
(Anonymous)
Owner:
Type:
Status:
Open [Owner assigned]
Component:
(None)
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

例えば44行目、コメントを外すとname以外がすべてエラーとなる

OPTIONS=name:Janet,role:Valkyrie,race:Human,gender:female,align:lawful

  • Line 14: Unknown align 'lawful'.
  • Line 14: Unknown gender 'female'.
  • Line 14: Unknown race 'Human'.
  • Line 14: Unknown role 'Valkyrie'.

※日本語で書き直すか3文字の略語で回避できるとのこと

Ticket History (3/3 Histories)

2020-06-27 06:30 Updated by: None
  • New Ticket ".jnethackrc.templateのコメントを外しても使えないオプションが複数存在" created
2020-06-28 06:15 Updated by: argrath
  • Owner Update from (None) to argrath
  • Resolution Update from None to Accepted
Comment

確認しました。オプション処理の方を変更するかrcの方を変更するか少し検討します。

2020-09-18 01:25 Updated by: argrath
  • Resolution Update from Accepted to Fixed
  • Milestone Update from (None) to 3.6.6-0.2
  • Type Update from Support Request to Bugs
Comment

ここでエラーになっている部分に関しては #40657 で修正しました。

元の「設定ファイルのコメントを外すとエラーになるオプションがテンプレートに含まれている」という問題に関しては、元々英語版でもビルドによってはコメントを外すとエラーになるオプションもテンプレートに含まれていますので、「英語版にある問題はクラッシュしない限り日本語版では独自修正しない」というポリシーにより、そのままの扱いとなります(日本語版でのみ発生する問題が他にあれば都度対応します)。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login